import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/awardInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/awardInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/awardInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/awardInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/awardInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/awardInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/awardInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function findByActivityId(formData) {
  return request.post(constant.serverUrl + "/base/awardInfo/findByActivityId", formData);
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,findByActivityId
}